• Resolved bryan868

    (@bryan868)


    The plugin is working great, I really like it. However, I noticed this PHP error in my wordpress debug logs.

    PHP Notice: Trying to access array offset on value of type bool in /wp-content/plugins/event-feed-for-eventbrite/public/class-public.php on line 188

    This is line 188 from class-public.php:

    $time_format = $formats_settings['time_format'];

    Any idea why that’s happening?

Viewing 1 replies (of 1 total)
  • Plugin Contributor Jan Pencik

    (@janpencik)

    Hi @bryan868,

    Thanks for reaching out.

    This notice shows that the variable $formats_settings is trying to get the option from the database that doesn’t exist after installing the plugin (not until you make some changes in the plugin settings and save the options page). So the variable is false instead of an array containing the time_format index.

    Long story short, this is a mistake on our side and can be prevented by adding the default value to the $formats_settings variable. We will fix this in the next update. Despite this, it is a PHP notice, so you don’t need to worry too much about it. It doesn’t affect the plugin’s functionality in any way.

    Thanks again for letting us know.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.